summaryrefslogtreecommitdiff
path: root/xmake/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'xmake/scripts')
-rw-r--r--xmake/scripts/virtualenvs/register-virtualenvs.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/xmake/scripts/virtualenvs/register-virtualenvs.sh b/xmake/scripts/virtualenvs/register-virtualenvs.sh
index 1f389b99e..ac82e9b94 100644
--- a/xmake/scripts/virtualenvs/register-virtualenvs.sh
+++ b/xmake/scripts/virtualenvs/register-virtualenvs.sh
@@ -36,12 +36,12 @@ function xrepo {
unset XMAKE_PROMPT_BACKUP
unset XMAKE_ENV_BACKUP
fi
+ "$XMAKE_EXE" lua private.xrepo.action.env.info config || return 1
local currentTest="$("$XMAKE_EXE" lua --quiet private.xrepo.action.env)" || return 1
if [ ! -z "$currentTest" ]; then
echo "error: corrupt xmake.lua detected in the current directory!"
return 1
fi
- "$XMAKE_EXE" lua private.xrepo.action.env.info config || return 1
local prompt="$("$XMAKE_EXE" lua --quiet private.xrepo.action.env.info prompt)" || return 1
if [ -z "${prompt+x}" ]; then
return 1